using System.Collections.Generic;
using System.Linq;
using System.Net;
using ClassLibrary1;
using Microsoft.Azure.Functions.Worker;
using Microsoft.Azure.Functions.Worker.Http;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Configuration.AzureAppConfiguration;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;

namespace FunctionApp2
{
    public class Function1
    {
        readonly IConfiguration _configuration;
        readonly IOptionsSnapshot<ConfigRoot> _optionValue;
        IConfigurationRefresherProvider _configurationRefresherProvider;

        public Function1(IConfiguration configuration, IOptionsSnapshot<ConfigRoot> optionValue, IConfigurationRefresherProvider configurationRefresherProvider)
        {
            _configuration = configuration;
            _optionValue = optionValue;
            _configurationRefresherProvider = configurationRefresherProvider;
        }

        [Function("Function1")]
        public IEnumerable<string> Run([HttpTrigger(AuthorizationLevel.Function, "get", "post")] HttpRequestData req, FunctionContext executionContext)
        {
            _ = _configurationRefresherProvider.Refreshers.First().TryRefreshAsync();
            return new[]
            {
                _configuration["Background"],
                _optionValue.Value.Background,
                _optionValue.Value.SMTPJson.Server,
                _optionValue.Value.SMTP.Server
            };

        }
    }
}
