using Azure.Identity;
using ClassLibrary1;
using Microsoft.Azure.Functions.Worker.Configuration;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace FunctionApp2
{
    public class Program
    {
        public static void Main()
        {
            var host = new HostBuilder()
                .ConfigureAppConfiguration(builder =>
                {
                    builder.AddAzureAppConfiguration((options) =>
                    {
                        var credentials = new DefaultAzureCredential();

                        options
                            .Connect(new Uri("https://cfg-appconfig-demo.azconfig.io"), credentials)
                            .ConfigureRefresh(c =>
                            {
                                c
                                    .Register("Sentinel", true)
                                    .SetCacheExpiration(new TimeSpan(0, 0, 10));
                            });
                    });
                })
                .ConfigureFunctionsWorkerDefaults()
                .ConfigureServices(s =>
                {
                    s
                        .AddOptions<ConfigRoot>()
                        .Configure<IConfiguration>((cr, config) => config.Bind(cr));
                    s.AddAzureAppConfiguration();
                })
                .Build();
            host.Run();
        }
    }
}