﻿using ClassLibrary1;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;
using System.Diagnostics;
using WebApplication1.Models;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
		private readonly ILogger<HomeController> _logger;
		private readonly IConfiguration _configuration;
		private readonly IOptionsSnapshot<ConfigRoot> _configRoot;

		public HomeController(ILogger<HomeController> logger, IConfiguration configuration, IOptionsSnapshot<ConfigRoot> configRoot)
		{
			_logger = logger;
			_configuration = configuration;
			_configRoot = configRoot;
		}

		public IActionResult Index()
		{
			return Content(_configRoot.Value.SMTP.Server);
		}


		public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
