using Azure.Identity;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Hosting;
using System;

namespace WebApplication1
{
    public class Program
    {
        public static void Main(string[] args)
        {
            CreateHostBuilder(args).Build().Run();
        }

        public static IHostBuilder CreateHostBuilder(string[] args) =>
			Host.CreateDefaultBuilder(args)
				.ConfigureWebHostDefaults(webBuilder =>
				{
					webBuilder
						.ConfigureAppConfiguration((hostingContext, config) =>
						{
							config.AddAzureAppConfiguration(options =>
							{
								var credentials = new DefaultAzureCredential();

								options
									.Connect(new Uri("https://cfg-appconfig-demo.azconfig.io"), credentials)
										.ConfigureRefresh(c =>
										{
											c
												.Register("Sentinel", true)
												.SetCacheExpiration(new TimeSpan(0, 0, 10));
										})
									;
							});
						})
						.UseStartup<Startup>();
				});

	}
}
